Mail::Message::TransferEnc::QuotedPrint(3pm)

NAME
Mail::Message::TransferEnc::QuotedPrint - handle quoted-printable message bodies

INHERITANCE
 Mail::Message::TransferEnc::QuotedPrint
   is a Mail::Message::TransferEnc
   is a Mail::Reporter

SYNOPSIS
  my Mail::Message $msg = ...;
  my $decoded = $msg->decoded;
  my $encoded = $msg->encode(transfer => 'quoted-printable');

DESCRIPTION
Encode and decode message bodies for quoted-printable transfer encoding. The Quoted-Printable encoding is intended to represent data that largely consists of bytes that correspond to printable characters in the ASCII character set. Non-printable characters (as defined by English Americans) are represented by a triplet consisting of the character "=" followed by two hexadecimal digits.

Extends "DESCRIPTION" in Mail::Message::TransferEnc.

METHODS
Extends "METHODS" in Mail::Message::TransferEnc.

  Constructors
Extends "Constructors" in Mail::Message::TransferEnc.

$class->new(%options)
    Inherited, see "Constructors" in Mail::Reporter

  Attributes
Extends "Attributes" in Mail::Message::TransferEnc.

  The Encoder
Extends "The Encoder" in Mail::Message::TransferEnc.

$class->addTransferEncoder($type, $class)
    Inherited, see "The Encoder" in Mail::Message::TransferEnc

$obj->create($type, %options)
    Inherited, see "The Encoder" in Mail::Message::TransferEnc

$obj->name()
    Inherited, see "The Encoder" in Mail::Message::TransferEnc

  Encoding
Extends "Encoding" in Mail::Message::TransferEnc.

$obj->check($body, %options)
    Inherited, see "Encoding" in Mail::Message::TransferEnc

$obj->decode($body, %options)
    Decoding is tricky, and not without loss of information. Lines will stay separate lines, although they might have been joined before the encoding split them up. Characters which are not printable will be replaced by their octal value, and carriage returns (“"=0D"”) at end of line are removed. Improves base, see "Encoding" in Mail::Message::TransferEnc

     -Option     --Defined in                --Default
      result_type  Mail::Message::TransferEnc  <type of source body>

    result_type => CLASS
$obj->encode($body, %options)
    Encoding is to quoted-printable is a careful process: All characters outside the normal printing range, and including “"="” are encoded. They are translated into a “"="” followed by a two digit hex of the ascii value of the character. The same treatment is for white-spaces at the end of a line.

    The lines which are constructed which must be 76 characters max, not broken on encoded characters. Improves base, see "Encoding" in Mail::Message::TransferEnc

     -Option     --Defined in                --Default
      result_type  Mail::Message::TransferEnc  <type of source body>

    result_type => CLASS

  Error handling
Extends "Error handling" in Mail::Message::TransferEnc.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Message::TransferEnc.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: decoder for transfer encoding $type does not work: $@
    Compiling the required transfer encoding resulted in errors, which means that the decoder can not be used. Cast by create()

Error: no decoder for transfer encoding $type.
    A decoder for the specified type of transfer encoding is not implemented. Cast by create()

SEE ALSO
This module is part of Mail-Message version 4.05, built on April 10, 2026. Website: http://perl.overmeer.net/mailbox/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.